Index: /trunk/src/proj_field.m
===================================================================
--- /trunk/src/proj_field.m	(revision 580)
+++ /trunk/src/proj_field.m	(revision 581)
@@ -142,5 +142,5 @@
         return
     end
-elseif  ~isequal(ObjectData.ProjMode,'interp')
+elseif  ~isequal(ObjectData.ProjMode,'interp_lin')
     errormsg=(['ProjMode option ' ObjectData.ProjMode ' not available in proj_field']);
         return
@@ -223,5 +223,5 @@
                     Var=FieldData.(VarName)(indsel);
                     ProjData.(VarName)(ipoint,1)=mean(Var);
-                    if isequal(ObjectData.ProjMode,'interp')
+                    if isequal(ObjectData.ProjMode,'interp_lin')
                          ProjData.(VarName)(ipoint,1)=griddata_uvmat(coord_x(indsel),coord_y(indsel),Var,Xpoint(1),Xpoint(2));
                     end
@@ -524,7 +524,7 @@
 theta=angle(dlinx+1i*dliny);%angle of each segment
 theta(siz_line(1))=theta(siz_line(1)-1);
-% determine a rectangles at +-width from the line (only used for the ProjMode='projection or 'filter')
+% determine a rectangles at +-width from the line (only used for the ProjMode='projection or 'interp_tps')
 xsup=zeros(1,siz_line(1)); xinf=zeros(1,siz_line(1)); ysup=zeros(1,siz_line(1)); yinf=zeros(1,siz_line(1));
-if isequal(ProjMode,'projection') || isequal(ProjMode,'filter')
+if isequal(ProjMode,'projection') || isequal(ProjMode,'interp_tps')
     xsup(1)=ObjectData.Coord(1,1)-width*sin(theta(1));
     xinf(1)=ObjectData.Coord(1,1)+width*sin(theta(1));
@@ -580,10 +580,10 @@
     % check needed object properties for unstructured positions (position given by the variables with role coord_x, coord_y
     if strcmp(CellInfo{icell}.CoordType,'scattered')
-        if  ~isequal(ProjMode,'interp')
+        if  ~isequal(ProjMode,'interp_lin')
             if width==0
                 errormsg='range of the projection object is missing';
                 return      
             else
-                lambda=2/(width*width); %smoothing factor used for filter: weight exp(-2) at distance width from the line
+                lambda=2/(width*width); %smoothing factor used for interp_tps: weight exp(-2) at distance width from the line
             end
         end
@@ -621,5 +621,5 @@
                 flagsel=ones(size(coord_x));
             end
-            if isequal(ProjMode,'projection') | isequal(ProjMode,'filter')
+            if isequal(ProjMode,'projection') || isequal(ProjMode,'interp_tps')
                 flagsel=flagsel & ((coord_y -yinf(ip))*(xinf(ip+1)-xinf(ip))>(coord_x-xinf(ip))*(yinf(ip+1)-yinf(ip))) ...
                 & ((coord_y -ysup(ip))*(xsup(ip+1)-xsup(ip))<(coord_x-xsup(ip))*(ysup(ip+1)-ysup(ip))) ...
@@ -649,5 +649,5 @@
                      end
                 end
-            elseif isequal(ProjMode,'interp') %linear interpolation:
+            elseif isequal(ProjMode,'interp_lin') %linear interpolation:
                 npoint=floor(linelength/DX)+1;% nbre of points in the profile (interval DX)
                 Xproj=linelength/(2*npoint):linelength/npoint:linelength-linelength/(2*npoint);
@@ -659,5 +659,5 @@
                      end
                 end
-            elseif isequal(ProjMode,'filter') %filtering
+            elseif isequal(ProjMode,'interp_tps') %filtering
                 npoint=floor(linelength/DX)+1;% nbre of points in the profile (interval DX)
                 Xproj=linelength/(2*npoint):linelength/npoint:linelength-linelength/(2*npoint);
@@ -983,13 +983,13 @@
 for icell=1:numel(CellInfo)% TODO: recalculate coordinates here to get the bounds in the rotated coordinates
     ProjMode{icell}=ObjectData.ProjMode;
-    if isfield(CellInfo{icell},'FieldRequest')
-        switch CellInfo{icell}.FieldRequest
+    if isfield(CellInfo{icell},'ProjModeRequest')
+        switch CellInfo{icell}.ProjModeRequest
             case 'interp_lin'
-                ProjMode{icell}='interp';
+                ProjMode{icell}='interp_lin';
             case 'interp_tps'
-                ProjMode{icell}='filter';
-        end
-    end
-    if strcmp(ProjMode{icell},'interp')||strcmp(ProjMode{icell},'filter')
+                ProjMode{icell}='interp_tps';
+        end
+    end
+    if strcmp(ProjMode{icell},'interp_lin')||strcmp(ProjMode{icell},'interp_tps')
         check_grid=1;
     end
@@ -1043,6 +1043,6 @@
         %% case of input fields with unstructured coordinates
         case 'scattered'
-            if strcmp(ProjMode{icell},'filter')
-                continue %skip for filter (needs tps field cell)
+            if strcmp(ProjMode{icell},'interp_tps')
+                continue %skip for interp_tps (needs tps field cell)
             end
             coord_x=FieldData.(FieldData.ListVarName{CellInfo{icell}.CoordIndex(end)});% initial x coordinates 
@@ -1148,5 +1148,5 @@
                         end
                     end
-                case 'interp'%interpolate data on a regular grid
+                case 'interp_lin'%interpolate data on a regular grid
                     coord_x_proj=XMin:DX:XMax;
                     coord_y_proj=YMin:DY:YMax;
@@ -1205,9 +1205,9 @@
             end
 
-            %% case of tps interpolation (applies only in filter mode and for spatial derivatives)
+            %% case of tps interpolation (applies only in interp_tps mode and for spatial derivatives)
         case 'tps'
-            if strcmp(ProjMode{icell},'filter')
+            if strcmp(ProjMode{icell},'interp_tps')
                 Coord=FieldData.(FieldData.ListVarName{CellInfo{icell}.CoordIndex});
-                NbSites=FieldData.(FieldData.ListVarName{CellInfo{icell}.NbSite_tps});
+                NbCentres=FieldData.(FieldData.ListVarName{CellInfo{icell}.NbCentres_tps});
                 SubRange=FieldData.(FieldData.ListVarName{CellInfo{icell}.SubRange_tps});
                 if isfield(CellInfo{icell},'VarIndex_vector_x_tps')&&isfield(CellInfo{icell},'VarIndex_vector_y_tps')
@@ -1221,5 +1221,5 @@
                 XI=XI+ObjectData.Coord(1,1);
                 YI=YI+ObjectData.Coord(1,2);
-                [DataOut,VarAttribute,errormsg]=calc_field_tps(Coord,NbSites,SubRange,FieldVar,CellInfo{icell}.FieldName,cat(3,XI,YI));   
+                [DataOut,VarAttribute,errormsg]=calc_field_tps(Coord,NbCentres,SubRange,FieldVar,CellInfo{icell}.FieldName,cat(3,XI,YI));   
                 ListFieldProj=(fieldnames(DataOut))';
                 VarDimName=cell(size(ListFieldProj));
@@ -1461,11 +1461,11 @@
                     YIMA=reshape(round(YIMA),1,npX*npY);
                     flagin=XIMA>=1 & XIMA<=DimValue(2) & YIMA >=1 & YIMA<=DimValue(1);%flagin=1 inside the original image
-                    if isequal(ProjMode{icell},'filter')
-                        npx_filter=ceil(abs(DX/DAX));
-                        npy_filter=ceil(abs(DY/DAY));
-                        Mfilter=ones(npy_filter,npx_filter)/(npx_filter*npy_filter);
-                        test_filter=1;
+                    if isequal(ProjMode{icell},'interp_tps')
+                        npx_interp_tps=ceil(abs(DX/DAX));
+                        npy_interp_tps=ceil(abs(DY/DAY));
+                        Minterp_tps=ones(npy_interp_tps,npx_interp_tps)/(npx_interp_tps*npy_interp_tps);
+                        test_interp_tps=1;
                     else
-                        test_filter=0;
+                        test_interp_tps=0;
                     end
                     eval(['ProjData.' AYName '=[coord_y_proj(1) coord_y_proj(end)];']) %record the new (projected ) y coordinates
@@ -1476,12 +1476,4 @@
                             eval(['ProjData.' VarName '=interp2(Coord{2},Coord{1},FieldData.' VarName ',Coord_x,Coord_y'');']) %TO TEST
                         end
-                        %filter the field (image) if option 'filter' is used
-%                         if test_filter
-%                             Aclass=class(FieldData.A);
-%                             eval(['ProjData.' VarName '=filter2(Mfilter,FieldData.' VarName ',''valid'');'])
-%                             if ~isequal(Aclass,'double')
-%                                 eval(['ProjData.' VarName '=' Aclass '(FieldData.' VarName ');'])%revert to integer values
-%                             end
-%                         end
                         eval(['vec_A=reshape(FieldData.' VarName ',[],nbcolor);'])%put the original image in line
                         %ind_in=find(flagin);
@@ -1525,5 +1517,5 @@
                 else
                     errormsg='projection of structured coordinates on oblique plane not yet implemented';
-                    %TODO: use interp3
+                    %TODO: use interp_lin3
                     return
                 end
@@ -1801,5 +1793,5 @@
                 end
             end  
-        elseif isequal(ObjectData.ProjMode,'interp')||isequal(ObjectData.ProjMode,'filter')%interpolate data on a regular grid
+        elseif isequal(ObjectData.ProjMode,'interp_lin')||isequal(ObjectData.ProjMode,'interp_tps')%interpolate data on a regular grid
             coord_x_proj=XMin:DX:XMax;
             coord_y_proj=YMin:DY:YMax;
@@ -2074,11 +2066,11 @@
                 YIMA=reshape(round(YIMA),1,npX*npY);
                 flagin=XIMA>=1 & XIMA<=DimValue(2) & YIMA >=1 & YIMA<=DimValue(1);%flagin=1 inside the original image 
-                if isequal(ObjectData.ProjMode,'filter')
-                    npx_filter=ceil(abs(DX/DAX));
-                    npy_filter=ceil(abs(DY/DAY));
-                    Mfilter=ones(npy_filter,npx_filter)/(npx_filter*npy_filter);
-                    test_filter=1;
+                if isequal(ObjectData.ProjMode,'interp_tps')
+                    npx_interp_tps=ceil(abs(DX/DAX));
+                    npy_interp_tps=ceil(abs(DY/DAY));
+                    Minterp_tps=ones(npy_interp_tps,npx_interp_tps)/(npx_interp_tps*npy_interp_tps);
+                    test_interp_tps=1;
                 else
-                    test_filter=0;
+                    test_interp_tps=0;
                 end
                 eval(['ProjData.' AYName '=[coord_y_proj(1) coord_y_proj(end)];']) %record the new (projected ) y coordinates
@@ -2089,8 +2081,8 @@
                           eval(['ProjData.' VarName '=interp2(Coord{2},Coord{1},FieldData.' VarName ',Coord_x,Coord_y'');']) %TO TEST
                     end
-                    %filter the field (image) if option 'filter' is used
-                    if test_filter  
+                    %filter the field (image) if option 'interp_tps' is used
+                    if test_interp_tps  
                          Aclass=class(FieldData.A);
-                         ProjData.(VarName)=filter2(Mfilter,FieldData.(VarName),'valid');
+                         ProjData.(VarName)=interp_tps2(Minterp_tps,FieldData.(VarName),'valid');
                          if ~isequal(Aclass,'double')
                              ProjData.(VarName)=Aclass(FieldData.(VarName));%revert to integer values
Index: /trunk/src/read_civdata.m
===================================================================
--- /trunk/src/read_civdata.m	(revision 580)
+++ /trunk/src/read_civdata.m	(revision 581)
@@ -62,12 +62,12 @@
 errormsg='';
 if ischar(FieldNames), FieldNames={FieldNames}; end;
-FieldRequest='';
+ProjModeRequest='';
 for ilist=1:length(FieldNames)
     if ~isempty(FieldNames{ilist})
         switch FieldNames{ilist}
             case{'U','V','norm(U,V)'}
-                FieldRequest='interp_lin';
+                ProjModeRequest='interp_lin';
             case {'curl(U,V)','div(U,V)','strain(U,V)'}
-                FieldRequest='interp_tps';
+                ProjModeRequest='interp_tps';
         end
     end
@@ -76,5 +76,5 @@
 %% reading data
 Data=nc2struct(filename,'ListGlobalAttribute','CivStage');
-[varlist,role,VelTypeOut]=varcivx_generator(FieldRequest,VelType,Data.CivStage);
+[varlist,role,VelTypeOut]=varcivx_generator(ProjModeRequest,VelType,Data.CivStage);
 if isempty(varlist)
     erromsg=['error in read_civdata: unknow velocity type ' VelType];
@@ -109,17 +109,28 @@
 Field.ListGlobalAttribute=[Field.ListGlobalAttribute {'Dt','Time'}];
 ivar_U_tps=[];
+ivar_V_tps=[];
 var_ind=find(vardetect);
 for ivar=1:numel(var_ind)
     Field.VarAttribute{ivar}.Role=role{var_ind(ivar)};
-    Field.VarAttribute{ivar}.FieldRequest=FieldRequest;
     if strcmp(role{var_ind(ivar)},'vector_x')
         Field.VarAttribute{ivar}.FieldName=FieldNames;
+        Field.VarAttribute{ivar}.ProjModeRequest=ProjModeRequest;
         ivar_U=ivar;
     end
     if strcmp(role{var_ind(ivar)},'vector_x_tps')
         Field.VarAttribute{ivar}.FieldName=FieldNames;
+        Field.VarAttribute{ivar}.ProjModeRequest=ProjModeRequest;
         ivar_U_tps=ivar;
     end
-%     Field.VarAttribute{ivar}.Unit=units{var_ind(ivar)};
+    if strcmp(role{var_ind(ivar)},'vector_y')
+        Field.VarAttribute{ivar}.FieldName=FieldNames;
+        Field.VarAttribute{ivar}.ProjModeRequest=ProjModeRequest;
+        ivar_V=ivar;
+    end
+    if strcmp(role{var_ind(ivar)},'vector_y_tps')
+        Field.VarAttribute{ivar}.FieldName=FieldNames;
+        Field.VarAttribute{ivar}.ProjModeRequest=ProjModeRequest;
+        ivar_V_tps=ivar;
+    end
     Field.VarAttribute{ivar}.Mesh=0.1;%typical mesh for histograms O.1 pixel
 end
@@ -127,7 +138,10 @@
     Field.VarAttribute{ivar_U}.VarIndex_tps=ivar_U_tps;
 end
-
+if ~isempty(ivar_V_tps)
+    Field.VarAttribute{ivar_V}.VarIndex_tps=ivar_V_tps;
+end
+
+%% update list of global attributes
 Field.ListGlobalAttribute=[Field.ListGlobalAttribute {'NbCoord','NbDim','TimeUnit','CoordUnit'}];
-% %% update list of global attributes
 Field.NbCoord=2;
 Field.NbDim=2;
@@ -146,5 +160,5 @@
 %            if vel_type=[] or'*', a  priority choice is done, civ2 considered better than civ1 )
 
-function [var,role,vel_type_out,errormsg]=varcivx_generator(FieldRequest,vel_type,CivStage) 
+function [var,role,vel_type_out,errormsg]=varcivx_generator(ProjModeRequest,vel_type,CivStage) 
 
 %% default input values
@@ -154,7 +168,7 @@
 
 %% select the priority order for automatic vel_type selection
-if strcmp(vel_type,'civ2') && strcmp(FieldRequest,'derivatives')
+if strcmp(vel_type,'civ2') && strcmp(ProjModeRequest,'derivatives')
     vel_type='filter2';
-elseif strcmp(vel_type,'civ1') && strcmp(FieldRequest,'derivatives')
+elseif strcmp(vel_type,'civ1') && strcmp(ProjModeRequest,'derivatives')
     vel_type='filter1';
 end
@@ -164,5 +178,5 @@
             vel_type='filter2';
         case {4,5}% civ2 available but not filter2
-            if strcmp(FieldRequest,'derivatives')% derivatives needed
+            if strcmp(ProjModeRequest,'derivatives')% derivatives needed
                 vel_type='filter1';
             else
@@ -203,5 +217,5 @@
        % units={'pixel','pixel','pixel','pixel','pixel','pixel','','','','pixel','pixel','pixel','pixel','pixel',''};
 end
-if ~strcmp(FieldRequest,'interp_tps')
+if ~strcmp(ProjModeRequest,'interp_tps')
     var=var(:,1:9);%suppress tps if not needed
 end
Index: /trunk/src/read_civxdata.m
===================================================================
--- /trunk/src/read_civxdata.m	(revision 580)
+++ /trunk/src/read_civxdata.m	(revision 581)
@@ -95,5 +95,5 @@
         Field.VarAttribute{ivar}.FieldName=FieldNames;
         if testinterp
-            Field.VarAttribute{ivar}.FieldRequest='interp_lin';
+            Field.VarAttribute{ivar}.ProjModeRequest='interp_lin';
         end
     end
Index: /trunk/src/set_object.m
===================================================================
--- /trunk/src/set_object.m	(revision 580)
+++ /trunk/src/set_object.m	(revision 581)
@@ -249,11 +249,11 @@
     switch Type
         case {'points','line','polyline','plane'}
-            menu_proj={'projection';'interp';'filter';'none'};
+            menu_proj={'projection';'interp_lin';'interp_tps';'none'};
         case {'polygon','rectangle','ellipse'}
             menu_proj={'inside';'outside';'mask_inside';'mask_outside'};
         case 'volume'
-            menu_proj={'interp';'none'};
+            menu_proj={'interp_lin';'none'};
         otherwise
-            menu_proj={'projection';'interp';'filter';'none'};%default
+            menu_proj={'projection';'interp_lin';'interp_tps';'none'};%default
     end
 else
@@ -288,5 +288,5 @@
 set(handles.num_RangeX_2,'Visible','off')
 set(handles.num_RangeY_1,'Visible','off')
-if isequal(ProjMode,'interp')
+if isequal(ProjMode,'interp_lin')
     set(handles.num_RangeY_2,'Visible','off')
 else
@@ -315,5 +315,5 @@
 %         set(handles.YObject,'TooltipString','YObject: set of y coordinates defining the line')
 %         set(handles.ZObject,'TooltipString','ZObject: set of z coordinates defining the line')
-        if isequal(ProjMode,'interp')|| isequal(ProjMode,'filter')
+        if isequal(ProjMode,'interp_lin')|| isequal(ProjMode,'interp_tps')
             set(handles.num_DX,'Visible','on')
             set(handles.num_DX,'TooltipString','num_DX: mesh for the interpolated field along the line')
@@ -338,5 +338,5 @@
             set(handles.num_RangeZ_2,'Visible','on')
         end
-        if isequal(ProjMode,'interp')|| isequal(ProjMode,'filter')
+        if isequal(ProjMode,'interp_lin')|| isequal(ProjMode,'interp_tps')
             set(handles.num_DX,'Visible','on')
             set(handles.num_DY,'Visible','on')
@@ -345,5 +345,5 @@
             set(handles.num_DY,'Visible','off')
         end
-        if  isequal(ProjMode,'interp')
+        if  isequal(ProjMode,'interp_lin')
             set(handles.num_DZ,'Visible','on')  
         end
@@ -360,5 +360,5 @@
         set(handles.num_RangeZ_1,'Visible','on')
         set(handles.num_RangeZ_2,'Visible','on')
-        if isequal(ProjMode,'interp')|| isequal(ProjMode,'filter')
+        if isequal(ProjMode,'interp_lin')|| isequal(ProjMode,'interp_tps')
             set(handles.num_DX,'Visible','on')
             set(handles.num_DY,'Visible','on')
@@ -485,6 +485,6 @@
     PlotType='text';
 else
-    % create tps coeff if needed for ProjMode 'filter'
-    if strcmp(ObjectData.ProjMode,'filter')&&~isfield(UvData.Field,'Coord_tps')     
+    % create tps coeff if needed for ProjMode 'interp_tps'
+    if strcmp(ObjectData.ProjMode,'interp_tps')&&~isfield(UvData.Field,'Coord_tps')     
         UvData.Field=calc_tps(UvData.Field,1);
     end
Index: /trunk/src/sub_field.m
===================================================================
--- /trunk/src/sub_field.m	(revision 580)
+++ /trunk/src/sub_field.m	(revision 581)
@@ -75,14 +75,14 @@
 
 %% field request
-FieldRequest=cell(size(Field.ListVarName));
+ProjModeRequest=cell(size(Field.ListVarName));
 for ilist=1:numel(Field.VarAttribute)
-    if isfield(Field.VarAttribute{ilist},'FieldRequest')
-        FieldRequest{ilist}=Field.VarAttribute{ilist}.FieldRequest;
+    if isfield(Field.VarAttribute{ilist},'ProjModeRequest')
+        ProjModeRequest{ilist}=Field.VarAttribute{ilist}.ProjModeRequest;
     end
 end
-FieldRequest_1=cell(size(Field_1.ListVarName));
+ProjModeRequest_1=cell(size(Field_1.ListVarName));
 for ilist=1:numel(Field_1.VarAttribute)
-    if isfield(Field_1.VarAttribute{ilist},'FieldRequest')
-        FieldRequest_1{ilist}=Field_1.VarAttribute{ilist}.FieldRequest;
+    if isfield(Field_1.VarAttribute{ilist},'ProjModeRequest')
+        ProjModeRequest_1{ilist}=Field_1.VarAttribute{ilist}.ProjModeRequest;
     end
 end
@@ -115,5 +115,5 @@
         VarVal=Field_1.(Field_1.ListVarName{ilist});
         for i1=1:numel(Field.ListVarName)
-            if (isempty(FieldRequest{i1})&&isempty(FieldRequest_1{ilist})||strcmp(FieldRequest{i1},FieldRequest_1{ilist})) && isequal(Field.(Field.ListVarName{i1}),VarVal)
+            if (isempty(ProjModeRequest{i1})&&isempty(ProjModeRequest_1{ilist})||strcmp(ProjModeRequest{i1},ProjModeRequest_1{ilist})) && isequal(Field.(Field.ListVarName{i1}),VarVal)
                ind_remove(ilist)=1;
                NewDim=Field.VarDimName{i1};
Index: /trunk/src/tps_coeff.m
===================================================================
--- /trunk/src/tps_coeff.m	(revision 580)
+++ /trunk/src/tps_coeff.m	(revision 581)
@@ -8,4 +8,7 @@
 % The spatial derivatives are obtained as EMDX*U_tps and EMDY*U_tps, where
 % EMDX and EMDY are obtained from the function tps_eval_dxy.
+% for big data sets, a splitting in subdomains is needed, see functions
+% set_subdomains and tps_coeff_field.
+%
 %------------------------------------------------------------------------
 % [U_smooth,U_tps]=tps_coeff(ctrs,U,Smoothing)
@@ -13,26 +16,26 @@
 % OUPUT:
 % U_smooth: values of the quantity U at the N centres after smoothing
-% U_tps: tps weights of the centres
+% U_tps: tps weights of the centres and columns of the linear
 
 %INPUT:
-% ctrs: Nxs matrix  representing the postions of the N centers, sources of the tps (s=space dimension)
+% ctrs: NxNbDim matrix  representing the positions of the N centers, sources of the tps (NbDim=space dimension)
 % U: Nx1 column vector representing the values of the considered scalar measured at the centres ctrs
 % Smoothing: smoothing parameter: the result is smoother for larger Smoothing.
-
+%
+%related functions:
+% tps_eval, tps_eval_dxy
+% tps_coeff_field, set_subdomains, filter_tps, calc_field
 
 function [U_smooth,U_tps]=tps_coeff(ctrs,U,Smoothing)
 %------------------------------------------------------------------------
-%Smoothing smoothing parameter
-% X=reshape(X,[],1);
-% Y=reshape(Y,[],1);
-N=size(ctrs,1);
-% rhs = reshape(U,[],1);
-U = [U; zeros(3,1)];
-% ctrs = [X Y];% coordinates of measurement sites, radial base functions are located at the measurement sites
+
+N=size(ctrs,1);% nbre of source centres
+NbDim=size(ctrs,2);% space dimension (2 or 3)
+U = [U; zeros(NbDim+1,1)];
 EM = tps_eval(ctrs,ctrs);
 SmoothingMat=Smoothing*eye(N,N);%  Smoothing=1/(2*omega) , omega given by fasshauer;
-SmoothingMat=[SmoothingMat zeros(N,3)];
+SmoothingMat=[SmoothingMat zeros(N,NbDim+1)];
 PM=[ones(N,1) ctrs];
-IM=[EM+SmoothingMat; [PM' zeros(3,3)]];
+IM=[EM+SmoothingMat; [PM' zeros(NbDim+1,NbDim+1)]];
 U_tps=(IM\U);
 U_smooth=EM *U_tps;
Index: /trunk/src/tps_eval.m
===================================================================
--- /trunk/src/tps_eval.m	(revision 580)
+++ /trunk/src/tps_eval.m	(revision 581)
@@ -16,4 +16,5 @@
 % related functions:
 % tps_coeff, tps_eval_dxy
+% tps_coeff_field, set_subdomains, filter_tps, calc_field
 
 function EM = tps_eval(dsites,ctrs)
Index: /trunk/src/tps_eval_dxy.m
===================================================================
--- /trunk/src/tps_eval_dxy.m	(revision 580)
+++ /trunk/src/tps_eval_dxy.m	(revision 581)
@@ -15,4 +15,5 @@
 % related functions:
 % tps_coeff, tps_eval
+% tps_coeff_field, set_subdomains, filter_tps, calc_field
 
   function [DMX,DMY] = tps_eval_dxy(dsites,ctrs)
